Bug 474649 - system-config-network crashes on start in text mode
system-config-network crashes on start in text mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 14:01 EST by Dave Ludlow
Modified: 2009-12-18 02:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:09:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Ludlow 2008-12-04 14:01:32 EST
Description of problem:
system-config-network crashes on start in text mode

Version-Release number of selected component (if applicable):
system-config-network-1.5.93-2.fc10.noarch

How reproducible:
Every time on this machine - haven't seen it on others.  This machine was recently upgraded from F9 to F10

Steps to Reproduce:
1. unset DISPLAY
2. system-config-network
  
Actual results:
An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.5.93
Summary: TB /usr/share/system-config-network/netconfpkg/NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 309, in <module>
    sys.exit(main())
  File "/usr/sbin/system-config-network-tui", line 287, in main
    if act.runIt(screen):
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 126, in runIt
    self.setState()
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 39, in setState
    if not hasattr(dev, "getDialog") or not dev.getDialog():
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

> /usr/share/system-config-network/netconfpkg/NCDevice.py(177)getDialog()
-> raise NotImplemented
(Pdb)

Expected results:
The network configuration stuff should appear.

Additional info:
None.
Comment 1 Felix Schwarz 2008-12-28 07:52:10 EST
duplicate of bug 199246 ? (last exception line is the same)
Comment 2 Bug Zapper 2009-11-18 05:20:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:09:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.